import edu.rice.cs.mint.runtime.*;

public class BadEscapeSample {
    public static SafeCode<Integer> foo(int x) {
        return (x==0) ? <| 0 |> : <| 1 |>;
    }
    public static void main (String [] args) {
        Code<Void> c = <| {
            final int xyz = 1;
            int xyz2 = `(foo(xyz)) + 1; // error
        } |>;
        c.run ();
    }
}
